# MicroPython 类库介绍

## 基础
P1和P2按钮按下和松开功能
读取P1和P2按钮的电平状态
触摸区域A、B区域触摸
获取触摸区域的状态
LED点亮和熄灭功能
设置蜂鸣器频率和关闭蜂鸣器
温湿度获取
运动传感器的获取和判断
获取光照值
计步器运行和读取

## 网络
连接wifi
获取wifi状态
获取wifi信息
同步ntp时间
断开wifi
创建wifi热点
配置wifi的ip
获取连接wifi热点的设备列表
获取已经连接的设备数量
关闭wifi热点

## 云端服务
发送http的get请求
发送http的post请求
获取http服务器返回的文本内容
设置返回的文本内容转化成指定的类型
配置模块http服务
配置模块http服务路径get和post功能
配置模块http服务响应值
获取http发送的数据
建立socket连接
实时发送数据
配置模块的socket服务器
接收socket发送端的数据
发送cococloud事件数据
获取cococloud的事件数据
获取cococloud数据中的指定属性的数据
发送数据到IFTTT Webhooks
读取IFTTT Webhooks指定key的事件数据
发送数据到ThingSpeak
读取ThingSpeak指定key的事件数据
KUJU智能家居连接
KUJU智能家居控制家居

## 系统
重启模块
读取模块剩余内存
获取模块的mac地址
读取iot设备id